Bug 426995 - unresolved symbol getsecs - X11 crash
unresolved symbol getsecs - X11 crash
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-tdfx (Show other bugs)
5.1
i386 Linux
high Severity high
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
http://bugs.centos.org/view.php?id=2572
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 12:33 EST by Michael A. Peters
Modified: 2013-11-05 14:15 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 14:15:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log of failed attempt to startx (3.38 KB, text/plain)
2007-12-29 12:33 EST, Michael A. Peters
no flags Details
patch (from mandriva) that fixes issue (1.20 KB, text/x-patch)
2008-02-11 10:06 EST, Michael A. Peters
no flags Details

  None (edit)
Description Michael A. Peters 2007-12-29 12:33:29 EST
Description of problem:
Reported (by me) to CentOS as bug #2572

When starting the X Server, the X Server initially starts but hangs, locking the
display, keyboard, and mouse. Machine continues to operate (IE you can ssh in)
but local access is pretty much frozen (no keyboard/mouse/screen)

Version-Release number of selected component (if applicable):
xorg-x11-drv-tdfx-1.2.1-3.1


How reproducible:
Always

Steps to Reproduce:
1. startx
2.
3.
  
Actual results:
Mouse pointer disappears, keyboard locks, gnome does not finish loading it's
icons (panel/desktop/etc.)

Expected results:
A working X11 session

Additional info:
The attached log file is the result of running

startx > foo.log 2>&1

I took a patch from the Mandriva src.rpm:
x11-driver-video-tdfx-1.2.1-2mdv2007.0.src.rpm

and applied the patch to the RHEL/CentOS rpm - which resulted in a working
driver for me (i386 - VooDoo3 3000)

I suspect there may already be a patch in the Fedora branch as I did not
experience this issue in Fedora Core 6 on identical hardware.
Comment 1 Michael A. Peters 2007-12-29 12:33:29 EST
Created attachment 290529 [details]
log of failed attempt to startx
Comment 2 Michael A. Peters 2007-12-29 12:37:43 EST
The CentOS bug report -
http://bugs.centos.org/view.php?id=2572
Comment 3 Matěj Cepl 2008-01-10 06:44:39 EST
Attachment 290529 [details] is ~/.xsession-errors, right? It would be much more useful if
you attach /etc/X11/xorg.conf and /var/log/Xorg.*.log. Also, you can try to
restart Xorg without any /etc/X11/xorg.conf at all, and attach us
/var/log/Xorg.0.log from that attempt as well.

Thanks.
Comment 4 Matěj Cepl 2008-02-11 09:50:03 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Michael A. Peters 2008-02-11 10:06:57 EST
Created attachment 294566 [details]
patch (from mandriva) that fixes issue

The attachment is the result of running startx > foo.txt 2>&1

The patch I used to make it work is attached.
I'll try to re-install the stock driver to get the files you specifically
requested.
Comment 7 RHEL Product and Program Management 2012-06-11 21:13:58 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 Adam Jackson 2013-11-05 14:15:45 EST
No further X driver updates are planned for RHEL5.

Note You need to log in before you can comment on or make changes to this bug.